[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.ReleaseComponents

Destroys all components marked for release.

## Declaration

Source position: forms.pp line 1593

`protected procedure TApplication.ReleaseComponents;`

## Description

ReleaseComponents ensures that any component in the internal list calls ReleaseComponent to handle the free notification for a reference-counted LCL component.

ReleaseComponents is called from the Idle and FreeComponent methods.